Go to advanced search

by Rascas
Wed Jun 20, 2018 5:04 pm
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

It happens because Kodi doesn't support ALSA plug devices in the GUI:
https://forum.kodi.tv/showthread.php?ti ... pid2352661
by Rascas
Wed Jun 20, 2018 1:19 am
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

Just to confirm did you open the setting in Kodi and select something else as your sound device? I copied the whole audio section with nano <ctrl> + <k> and then pasted <ctrl> + <u> very low chance of a typo. I wanted to see what would happen, If I chose HDMI audio and then I got no Bluetooth sound...
by Rascas
Tue Jun 19, 2018 11:37 pm
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

I can confirm DarkElevenAngel's method works when not in the desktop (to exit use CTRL-ALT-F2 and login) and mine works from the desktop. they are mutually exclusive! Thanks for confirming I'm going to try and write a plugin to look after this Bluetooth audio for my sake, I'm thinking this is the o...
by Rascas
Tue Jun 19, 2018 3:30 pm
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

For what I read, the main problem with Kodi and bluetooth devices through ALSA, is that, when you configure the device, it is loaded like a plugin and not a real device, like an USB sound card, for example. Kodi seems to not support ALSA "plugins" (don't know if it is the correct term), and so, it d...
by Rascas
Wed Jun 13, 2018 10:29 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

AFAIK Kodi supports VP9 but the Raspberry Pi does not have a VP9 hardware video decoder. So VP9 will be software decoded on the Raspberry Pi in every program, so it might not work good on it, I think I never tried to play vp9 videos in Kodi on the RPi. Kodi uses ffmpeg, version 3.1.X on Kodi 17.6 w...
by Rascas
Wed Jun 13, 2018 1:55 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

does kodi support VP9 stream? got a vp9 file, omxplayer can not play at all. kodi can play but choppy and A/V not sync, or Pis just less power? btw, mpv-rpi do the good job for vp9 format. AFAIK Kodi supports VP9 but the Raspberry Pi does not have a VP9 hardware video decoder. So VP9 will be softwa...
by Rascas
Sun Jun 10, 2018 4:21 pm
Forum: Gaming
Topic: ioquake3-gles / Need help getting this code compiling :-)
Replies: 9
Views: 648

Re: ioquake3-gles / Need help getting this code compiling :-)

ztealmax wrote:
Sun Jun 10, 2018 1:54 pm

and why i wanted this to compile ioquake3-gles its couse its for the Openarena engine (Not Quake3)
Openarena used to work just fine with ioquake3 from RetroPie, I see no reason for it not to work now. Don't know about q3lite, I never tried it, should work also.
by Rascas
Sun Jun 10, 2018 8:21 am
Forum: Gaming
Topic: ioquake3-gles / Need help getting this code compiling :-)
Replies: 9
Views: 648

Re: ioquake3-gles / Need help getting this code compiling :-)

Nice, didn't know that, seems like an improvement for the Raspberry Pi, thanks! Yes, just be aware it doesn't work with GL Drivers only with legacy drivers. Sure, if it is compiled compiled against OpenGLES, it won't work with the OpenGL driver ;) I have already beat the single player version on th...
by Rascas
Sun Jun 10, 2018 8:18 am
Forum: Gaming
Topic: ioquake3-gles / Need help getting this code compiling :-)
Replies: 9
Views: 648

Re: ioquake3-gles / Need help getting this code compiling :-)

If you want Ioquake3 with GLES, then use Q3lite, it's what you want and it works fine if you are not using the GL Drivers. Nice, didn't know that, seems like an improvement for the Raspberry Pi, thanks! Yes, just be aware it doesn't work with GL Drivers only with legacy drivers. Sure, if it is comp...
by Rascas
Sun Jun 10, 2018 5:46 am
Forum: Gaming
Topic: ioquake3-gles / Need help getting this code compiling :-)
Replies: 9
Views: 648

Re: ioquake3-gles / Need help getting this code compiling :-)

Ger_Pa wrote:
Sun Jun 10, 2018 3:10 am
If you want Ioquake3 with GLES, then use Q3lite, it's what you want and it works fine if you are not using the GL Drivers.
Nice, didn't know that, seems like an improvement for the Raspberry Pi, thanks!
by Rascas
Sat Jun 09, 2018 10:15 pm
Forum: Gaming
Topic: ioquake3-gles / Need help getting this code compiling :-)
Replies: 9
Views: 648

Re: ioquake3-gles / Need help getting this code compiling :-)

Check Retropie, it has quake3 (ioquake3) optimized for the raspberry pi, with opengles. If you don't want to install the full retropie suite, check their github repo, it has a build script for it.
by Rascas
Wed Jun 06, 2018 2:32 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

Yeah, I really have one more thing there: deb http://mirrordirector.raspbian.org/raspbian/ buster main contrib non-free rpi I had this one to install php 7.2, but I didn't removed afterwards, this is a problem ? Yes, "buster" in that line is the problem. Like I said earlier Buster is the Debian nex...
by Rascas
Wed Jun 06, 2018 2:26 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

Yeah, I really have one more thing there: deb http://mirrordirector.raspbian.org/raspbian/ buster main contrib non-free rpi I had this one to install php 7.2, but I didn't removed afterwards, this is a problem ? Yes, "buster" in that line is the problem. Like I said earlier Buster is the Debian nex...
by Rascas
Wed Jun 06, 2018 2:21 pm
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

Installing Pulseaudio should work also, it worked in Jessie, but since now Alsa (with bluealsa, etc) is now the default in Stretch, I never tested it. PulseAudio can add some latency, specially in low cost SBCs like the Raspberry Pi if you are pushing it, so I recommend that you try with Alsa first.
by Rascas
Wed Jun 06, 2018 11:55 am
Forum: Troubleshooting
Topic: Bluetooth audio not working in Kodi
Replies: 28
Views: 2645

Re: Bluetooth audio not working in Kodi

I think you need to edit the alsa config manually and define the device you want as default. I have tried this some time ago and it worked but it was only for testing. Search for alsa.conf and/or asoundrc.
by Rascas
Wed Jun 06, 2018 7:12 am
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

https://www.raspberrypi.org/downloads/raspbian/ Downloaded, did everything and nothing changed. Still sloooooow... Trying to start as a service get some crash log, telling me that Kodi couldn't find the X11... Trying to start with desktop get me this log: http://paste.debian.net/1028147/ uname -a L...
by Rascas
Tue Jun 05, 2018 2:07 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

Hi Guys, I'm using the Stretch version of Raspbian on a Raspberry Pi 2 and Kodi V17.6. First of all, Kodi doesn't start with CLI, I changed the boot option on raspi-config and created the service, and after restarting I can only see the black screen on my TV but kodi is not starting up. Second, sta...
by Rascas
Mon Jun 04, 2018 11:56 pm
Forum: Raspbian
Topic: [HowTo!] Smooth youtube 1080p in Chromium
Replies: 48
Views: 10954

Re: [HowTo!] Smooth youtube 1080p in Chromium

@ztealmax your script has a lot of typos/errors. Even if corrected, does it still really make a difference to stock raspberrypi.org chromium config ?
by Rascas
Mon Jun 04, 2018 8:37 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

Hi Guys, I'm using the Stretch version of Raspbian on a Raspberry Pi 2 and Kodi V17.6. First of all, Kodi doesn't start with CLI, I changed the boot option on raspi-config and created the service, and after restarting I can only see the black screen on my TV but kodi is not starting up. Second, sta...
by Rascas
Sun Jun 03, 2018 5:49 am
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

Logs show nothing. Sorry, I don't have the means to post a large file. Any advice on how to downgrade to 17.3? First available version on Stretch is Kodi 17.4, there is no easy way to downgrade it further. You can create a small sample of the video file with ffmpeg or handbrake, or at least provide...
by Rascas
Sat Jun 02, 2018 9:53 pm
Forum: Raspbian
Topic: [Guide] Kodi on Raspbian Stretch
Replies: 146
Views: 101514

Re: [Guide] Kodi on Raspbian Stretch

I upgraded my RPi2 to Stretch and Kodi 17.6 back in March without incident. 99% of videos are playing fine, as before. The problem I've found happens at certain parts of 1080p 50 fps h.264 videos. It's sort of like a stuttering/freezing, but I don't see high CPU, low buffers, dropped/skipped frames...
by Rascas
Wed May 30, 2018 5:51 pm
Forum: Raspbian
Topic: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)
Replies: 1458
Views: 542516

Re: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)

Sorry for the trouble, it was that specific video that I was testing, others seem to work fine. Strange that that one works in Jessie but not on Stretch. Thanks for the help.
by Rascas
Wed May 30, 2018 5:27 pm
Forum: Raspbian
Topic: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)
Replies: 1458
Views: 542516

Re: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)

On latest Stretch with Desktop Image, only kweb installed: [email protected]:~ $ dpkg --get-selections | grep dbus dbus install dbus-user-session install dbus-x11 install libdbus-1-3:armhf install libdbus-glib-1-2:armhf install libnih-dbus1 install libqt5dbus5:armhf install python-dbus install python3-...
by Rascas
Wed May 30, 2018 2:36 pm
Forum: Raspbian
Topic: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)
Replies: 1458
Views: 542516

Re: Kweb Suite (Minimal Kiosk Browser, omxplayerGUI)

Thanks for your help, but I couldn't make it work still. I tried with latest Stretch image from 2018-04-18 which has kernel 4.14.34 and firmware from Apr 16 2018. Also tried updating with rpi-update to latest kernel (4.14.43) and firmware (25 May 2018). This with omxplayer version from 30 Mar 2017, ...

Go to advanced search